Skip to main content
GET
/
tickers
Get tickers
curl --request GET \
  --url https://futures.kraken.com/derivatives/api/v3/tickers
import requests

url = "https://futures.kraken.com/derivatives/api/v3/tickers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://futures.kraken.com/derivatives/api/v3/tickers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://futures.kraken.com/derivatives/api/v3/tickers"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "result": "success",
  "tickers": [
    {
      "tag": "perpetual",
      "pair": "XBT:USD",
      "symbol": "PI_XBTUSD",
      "markPrice": 30209.9,
      "bid": 8634,
      "bidSize": 1000,
      "ask": 49289,
      "askSize": 139984,
      "vol24h": 15304,
      "volumeQuote": 7305.2,
      "openInterest": 149655,
      "open24h": 49289,
      "indexPrice": 21087.8,
      "last": 49289,
      "lastTime": "2022-06-17T10:46:35.705Z",
      "lastSize": 100,
      "suspended": false,
      "fundingRate": 1.18588737106e-7,
      "fundingRatePrediction": 1.1852486794e-7,
      "postOnly": false,
      "change24h": 1.9974017538161748
    },
    {
      "tag": "month",
      "pair": "XBT:USD",
      "symbol": "FI_XBTUSD_211231",
      "markPrice": 20478.5,
      "bid": 28002,
      "bidSize": 900,
      "vol24h": 100,
      "volumeQuote": 843.9,
      "openInterest": 10087,
      "open24h": 28002,
      "indexPrice": 21087.8,
      "last": 28002,
      "lastTime": "2022-06-17T10:45:57.177Z",
      "lastSize": 100,
      "suspended": false,
      "postOnly": false,
      "change24h": 1.9974017538161748
    },
    {
      "symbol": "in_xbtusd",
      "last": 21088,
      "lastTime": "2022-06-17T11:00:30.000Z"
    },
    {
      "symbol": "rr_xbtusd",
      "last": 20938,
      "lastTime": "2022-06-16T15:00:00.000Z"
    }
  ],
  "serverTime": "2022-06-17T11:00:31.335Z"
}

Query Parameters

contractType
enum<string>[]

Contract type(s) to return statuses for.

By default, includes all futures instrument types.

Multi-value example: ?contractType=futures_inverse&contractType=futures_vanilla

Available options:
futures_inverse,
futures_vanilla,
flexible_futures,
options,
all
symbol
string[]

Market symbol(s) to filter tickers by.

Symbols are case-insensitive. Multi-value example: ?symbol=PF_BTCUSD&symbol=pf_ethusd

Market symbol

Pattern: [A-Z0-9_.]+

Response

200 - application/json
tickers
(Market Ticker · object | Index Ticker · object)[]
required

A list containing a structures for each available instrument. The list is in no particular order.

result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"